Main Page Widgets Namespaces Book

# Gtk::Statusbar Class Reference
[Widgets]

Inheritance diagram for Gtk::Statusbar:

[legend]
List of all members.

## Detailed Description

Text status indicator This widget is used to display status information.

Messages are pushed and poped onto a message stack. When text is pushed it replaces the old contents. The old text is restored when popped.

It derives from Gtk::HBox so that additional information can be added easily.

## Public Member Functions

guint | get_context_id (const Glib::ustring& context_description)
bool | get_has_resize_grip () const
const GtkStatusbar* | gobj () const
| Provides access to the underlying C GtkObject.
GtkStatusbar* | gobj ()
| Provides access to the underlying C GtkObject.
void | pop (guint context_id=0)
guint | push (const Glib::ustring& text, guint context_id=0)
void | remove_message (guint message_id, guint context_id=0)
void | set_has_resize_grip (bool setting=true)
Glib::SignalProxy2< void, guint, const Glib::ustring& > | signal_text_popped ()

Prototype:
  `void text_popped(guint context_id, const Glib::ustring& text)`

Glib::SignalProxy2< void, guint, const Glib::ustring& > | signal_text_pushed ()

Prototype:
  `void text_pushed(guint context_id, const Glib::ustring& text)`

| Statusbar ()
virtual | ~Statusbar ()

## Related Functions

(Note that these are not member functions.)
Gtk::Statusbar* | wrap (GtkStatusbar* object, bool take_copy=false)

Parameters:

  | object | The C instance

## Constructor & Destructor Documentation

virtual Gtk::Statusbar::~Statusbar | ( |  | ) | `[virtual]`

Gtk::Statusbar::Statusbar | ( |  | ) |

## Member Function Documentation

guint Gtk::Statusbar::get_context_id | ( | const Glib::ustring & | context_description | ) |

bool Gtk::Statusbar::get_has_resize_grip | ( |  | ) | const

const GtkStatusbar* Gtk::Statusbar::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

GtkStatusbar* Gtk::Statusbar::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

void Gtk::Statusbar::pop | ( | guint | context_id = `0` | ) |

guint Gtk::Statusbar::push | ( | const Glib::ustring & | text,
|  | guint | context_id = `0` |
| ) |  |  |

void Gtk::Statusbar::remove_message | ( | guint | message_id,
|  | guint | context_id = `0` |
| ) |  |  |

void Gtk::Statusbar::set_has_resize_grip | ( | bool | setting = `true` | ) |

Glib::SignalProxy2< void,guint,const Glib::ustring& > Gtk::Statusbar::signal_text_popped | ( |  | ) |

Prototype:
  `void text_popped(guint context_id, const Glib::ustring& text)`

Glib::SignalProxy2< void,guint,const Glib::ustring& > Gtk::Statusbar::signal_text_pushed | ( |  | ) |

Prototype:
  `void text_pushed(guint context_id, const Glib::ustring& text)`

## Friends And Related Function Documentation

Gtk::Statusbar* wrap | ( | GtkStatusbar * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- statusbar.h